Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/share/terminfo simple import script



details:   https://anonhg.NetBSD.org/src/rev/7fd5c1c30b02
branches:  trunk
changeset: 461480:7fd5c1c30b02
user:      christos <christos%NetBSD.org@localhost>
date:      Wed Nov 27 19:00:25 2019 +0000

description:
simple import script

diffstat:

 share/terminfo/import |  27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)

diffs (31 lines):

diff -r fd4143a69c29 -r 7fd5c1c30b02 share/terminfo/import
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/share/terminfo/import     Wed Nov 27 19:00:25 2019 +0000
@@ -0,0 +1,27 @@
+#!/bin/sh
+# $NetBSD: import,v 1.1 2019/11/27 19:00:25 christos Exp $
+#
+# Simple shell script to import the newest version of terminfo
+# Download it from ftp://ftp.invisible-island.net/ncurses/current
+
+input=$1
+case "${input}" in 
+terminfo-[0-9]*.src)
+       ;;
+*)
+       echo "$0: Invalid input file name" 1>&2
+       exit 1
+       ;;
+esac
+
+tag=${input%%.src}
+vendor=NCURSES
+
+TMP=$(mktemp -d /tmp/import-terminfo)
+trap rm -fr "${TMP}" 0 1 2 15
+
+cp "$1" "${TMP}/terminfo"
+cd "${TMP}"
+cleantags terminfo
+cvs -d cvs.netbsd.org:/cvsroot import \
+       -m "Import $1" src/share/terminfo "${vendor}" "${tag}"



Home | Main Index | Thread Index | Old Index